CREATE SCHEMA Ingenieurbauwerke

-- Historie:
--
-- 17.12.2000 - 1.001 (1.002)
-- Integration symbolischer Verweise fr Teilbauwerk
--
-- 15.10.1999 - 1.000 (1.000)
-- Erste Version des OKSTRA verabschiedet

CREATE TABLE Bauwerkseinzelheiten (
   Bauwerkseinzelheiten_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bauwerksnummer
      INTEGER NOT NULL,
   Bauwerksname
      VARCHAR(255) NOT NULL,
   Bau_km
      REAL NOT NULL, -- Kilometer
   CHECK ( Bau_km>=0 ),
   Brueckenklasse
      VARCHAR(255),
   Kreuzungswinkel
      REAL, -- Winkel
   lichte_Weite
      REAL, -- Meter
   CHECK ( lichte_Weite>=0 ),
   lichte_Hoehe
      REAL, -- Meter
   CHECK ( lichte_Hoehe>=0 ),
   Konstruktionshoehe
      REAL, -- Meter
   CHECK ( Konstruktionshoehe>=0 ),
   Nutzbreite
      REAL, -- Meter
   CHECK ( Nutzbreite>=0 ),
   hat_allgemeine_Eigenschaften
      INTEGER NOT NULL REFERENCES Entwurf.allgemeine_Eigenschaften
)

CREATE TABLE Bauweinzelh__von_Teilbauwerk (
   Bauwerkseinzelheiten
      INTEGER NOT NULL REFERENCES Bauwerkseinzelheiten,
   Teilbauwerk_abstrakt
      INTEGER NOT NULL REFERENCES Bauwerke.Teilbauwerk_abstrakt
)

